import request from '@/utils/request'

// 查询用户护理日志列表
export function listNursingLog(query) {
  return request({
    url: '/system/nursingLog/list',
    method: 'get',
    params: query
  })
}

// 查询用户护理日志详细
export function getNursingLog(id) {
  return request({
    url: '/system/nursingLog/' + id,
    method: 'get'
  })
}

// 新增用户护理日志
export function addNursingLog(data) {
  return request({
    url: '/system/nursingLog',
    method: 'post',
    data: data
  })
}

// 修改用户护理日志
export function updateNursingLog(data) {
  return request({
    url: '/system/nursingLog',
    method: 'put',
    data: data
  })
}

// 删除用户护理日志
export function delNursingLog(id) {
  return request({
    url: '/system/nursingLog/' + id,
    method: 'delete'
  })
}

// 全量添加小程序标签
export function allAddMiniProgramTag(tagIdList, data) {
  return request({
    url: '/system/nursingLog/allAddMiniProgramTag?tagIdList=' + tagIdList,
    method: 'post',
    data: data
  })
}

// 全量删除小程序标签
export function allDelMiniProgramTag(tagIdList, data) {
  return request({
    url: '/system/nursingLog/allDelMiniProgramTag?tagIdList=' + tagIdList,
    method: 'post',
    data: data
  })
}
